Bug 973269 - Firstboot proxy window should be same as that of Subscription-Manager Proxy window
Firstboot proxy window should be same as that of Subscription-Manager Proxy w...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Alex Wood
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
Reported: 2013-06-11 11:19 EDT by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-23 10:57:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Firstboot proxy window (77.04 KB, image/png)
2013-06-11 11:19 EDT, Sharath Dwaral
no flags Details

  None (edit)
Description Sharath Dwaral 2013-06-11 11:19:46 EDT
Created attachment 759696 [details]
Firstboot proxy window

Description of problem:
The Firstboot Proxy window is slightly different from that Subscription manager Proxy window.

Version-Release number of selected component (if applicable):
# rpm -qa | egrep "subscription-manager|python-rhsm" 

How reproducible:

Steps to Reproduce:
1. Launch firstboot
2. Navigate to Choose Service Menu
3. Click on Proxy Setup

Actual results:
The proxy window is different from that of Subscription Manager
- No Test Connection Button
- AT-SPI locators for textboxes (proxy location, proxy username and proxy password) are missing  

Expected results:
Should be the same as that of Subscription Manager

Additional info:
Please see attachment
Comment 1 RHEL Product and Program Management 2013-06-11 11:28:26 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Alex Wood 2013-07-23 10:57:16 EDT
The proxy set-up in firstboot is actually controlled by classes in the rhn-setup-gnome package.  The proxy window is created in rhnregGui.py in the NetworkConfigDialog class.  Adding the Test Connection button may be a larger feature request, but adding the AT-SPI locators to the appropriate glade file shouldn't be too difficult.  Perhaps file a bug against the appropriate RHN component?

Note You need to log in before you can comment on or make changes to this bug.